int switchPin = 7;
int LEDPin = 13;
int stateOfSwitch = 0;
int previousStateOfSwitch = 0;

void setup() {
pinMode (switchPin, INPUT);
pinMode (LEDPin, OUTPUT);
Serial.begin(9600);
}

void loop() {
if (digitalRead(switchPin) == HIGH) {
  stateOfSwitch = 0;
digitalWrite(LEDPin, LOW);
} else {
  stateOfSwitch = 1;
digitalWrite(LEDPin, HIGH);
}

if (stateOfSwitch != previousStateOfSwitch){
  if (stateOfSwitch == 0){
    Serial.print(0, BYTE);
  } else {
    Serial.print(1, BYTE);
  } 
  delay(5); // short delay for switch debouncing purposes
}

previousStateOfSwitch = stateOfSwitch;
}
